#!/bin/sh

LIST_USER=mlists
LIST_HOST=phri.nyu.edu

LIST_DIR=/var/mlists
ALIAS_DIR=/var/qmail/alias
LIST_BIN=/usr/ars/bin

CHSTUFF=/usr/sbin/chstuff

if [ $# -ne 1 ]; then
	echo "Usage: $0 <list_to_remove>"
	exit 1;
fi

LIST="$1"

ULIST="$LIST_USER-$LIST"

#$CHSTUFF -u $LIST_USER -- \
#	"$LIST_BIN/ezmlm-make" "$LIST_DIR/$LIST" "$LIST_DIR/.qmail-$LIST" \
#	"$LIST_USER-$LIST" "$LIST_HOST" || exit 1

/bin/echo "remove $LIST_DIR/$LIST? [y/N] \c"
read a

if [ "$a" = "y" -o "$a" = "Y" ]; then
	echo "removing $LIST_DIR/$LIST..."
else
	echo "aborted."
	exit 1
fi

do_cmd() {
	echo "$*"
	$*
}

do_cmd rm -rf "$LIST_DIR/$LIST"
do_cmd rm -f "$LIST_DIR/.qmail-$LIST"
do_cmd rm -f "$LIST_DIR/.qmail-$LIST-owner"
do_cmd rm -f "$LIST_DIR/.qmail-$LIST-default"
do_cmd rm -f "$LIST_DIR/.qmail-$LIST-return-default"
do_cmd rm -f "$ALIAS_DIR/.qmail-$LIST"
do_cmd rm -f "$ALIAS_DIR/.qmail-$LIST-owner"
do_cmd rm -f "$ALIAS_DIR/.qmail-$LIST-default"
do_cmd rm -f "$ALIAS_DIR/.qmail-$LIST-return-default"

#echo "$ULIST"                > "$ALIAS_DIR/.qmail-$LIST"
#echo "$ULIST-default"        > "$ALIAS_DIR/.qmail-$LIST-default"
#echo "$ULIST-owner"          > "$ALIAS_DIR/.qmail-$LIST-owner"
#echo "$ULIST-return-default" > "$ALIAS_DIR/.qmail-$LIST-return-default"

